<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:if condition="{header}">
    <f:switch expression="{layout}">
        <f:case value="1">
            <h1{f:if(condition: '{headerClass}', then: ' class="{headerClass}"')}>
                <f:link.typolink parameter="{link}">{header -> f:format.raw()}</f:link.typolink>
            </h1>
        </f:case>
        <f:case value="2">
            <h2{f:if(condition: '{headerClass}', then: ' class="{headerClass}"')}>
                <f:link.typolink parameter="{link}">{header -> f:format.raw()}</f:link.typolink>
            </h2>
        </f:case>
        <f:case value="3">
            <h3{f:if(condition: '{headerClass}', then: ' class="{headerClass}"')}>
                <f:link.typolink parameter="{link}">{header -> f:format.raw()}</f:link.typolink>
            </h3>
        </f:case>
        <f:case value="4">
            <h4{f:if(condition: '{headerClass}', then: ' class="{headerClass}"')}>
                <f:link.typolink parameter="{link}">{header -> f:format.raw()}</f:link.typolink>
            </h4>
        </f:case>
        <f:case value="100">
            <f:comment><!-- Do not show header --></f:comment>
        </f:case>
        <f:defaultCase>
            <f:if condition="{default}">
                <f:render
                    partial="Header/Header"
                    arguments="{
                        header: header,
                        layout: default,
                        headerClass: headerClass,
                        link: link
                    }"
                />
            </f:if>
        </f:defaultCase>
    </f:switch>
</f:if>
</html>
